Loading...
Searching...
No Matches
naif.c File Reference

Solar system ID mappings between NOVAS and NASA's Navigation and Ancillary Information Facility (NAIF), which is used by the JPL ephemeris systems. More...

## Functions

enum novas_planet | naif_to_novas_planet (long id)
| Converts a NAIF ID to a NOVAS major planet ID.
long | novas_to_dexxx_planet (enum novas_planet id)
| Converts a NOVAS Solar-system body ID to a NAIF Solar-system body ID for DExxx ephemeris files.
long | novas_to_naif_planet (enum novas_planet id)
| Converts a NOVAS Solar-system body ID to a NAIF Solar-system body ID.

## Detailed Description

Solar system ID mappings between NOVAS and NASA's Navigation and Ancillary Information Facility (NAIF), which is used by the JPL ephemeris systems.

The two differ for the numbering convention for major planets, the Sun, Moon, Solar-System Barycenter (SSB) and the Earth-Moon Barycenter (EMB). NOVAS does not have predefined IDs beyond this set (and no defined ID for EMB), thus for all other objects we'll assume and use NOVAS IDs that match NAIF.

Date
  Created on Nov 6, 2024

Author
  Attila Kovacs

Since
  1.2

See also
  solsys-calceph.c, solsys-cspice.c, ephemeris.c